weka.core.pmml.jaxbbindings

## Class GeneralRegressionModel

- java.lang.Object
- - weka.core.pmml.jaxbbindings.GeneralRegressionModel

-     public class GeneralRegressionModel
      extends java.lang.Object

  Java class for GeneralRegressionModel element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="GeneralRegressionModel">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}MiningSchema"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Output" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelExplanation" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Targets" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ParameterList"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}FactorList" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}CovariateList" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}PPMatrix"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}PCovMatrix" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ParamMatrix"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}EventValues" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}BaseCumHazardTables" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelVerification" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="baselineStrataVariable" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="cumulativeLink" type="{http://www.dmg.org/PMML-4_1}CUMULATIVE-LINK-FUNCTION" />
               <attribute name="distParameter" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="distribution">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="binomial"/>
                     <enumeration value="gamma"/>
                     <enumeration value="igauss"/>
                     <enumeration value="negbin"/>
                     <enumeration value="normal"/>
                     <enumeration value="poisson"/>
                     <enumeration value="tweedie"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="endTimeVariable" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
               <attribute name="isScorable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
               <attribute name="linkFunction" type="{http://www.dmg.org/PMML-4_1}LINK-FUNCTION" />
               <attribute name="linkParameter" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="modelDF" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="modelType" use="required">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="regression"/>
                     <enumeration value="generalLinear"/>
                     <enumeration value="multinomialLogistic"/>
                     <enumeration value="ordinalMultinomial"/>
                     <enumeration value="generalizedLinear"/>
                     <enumeration value="CoxRegression"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="offsetValue" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="offsetVariable" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="startTimeVariable" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="statusVariable" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="subjectIDVariable" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="targetReferenceCategory" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="targetVariableName" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="trialsValue" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="trialsVariable" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneralRegressionModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContent(java.lang.Object object)`
    `java.lang.String` | `getAlgorithmName()` Gets the value of the algorithmName property.
    `java.lang.String` | `getBaselineStrataVariable()` Gets the value of the baselineStrataVariable property.
    `java.util.List<java.lang.Object>` | `getContent()` Gets the rest of the content model.
    `CUMULATIVELINKFUNCTION` | `getCumulativeLink()` Gets the value of the cumulativeLink property.
    `java.lang.Double` | `getDistParameter()` Gets the value of the distParameter property.
    `java.lang.String` | `getDistribution()` Gets the value of the distribution property.
    `java.lang.String` | `getEndTimeVariable()` Gets the value of the endTimeVariable property.
    `MININGFUNCTION` | `getFunctionName()` Gets the value of the functionName property.
    `LINKFUNCTION` | `getLinkFunction()` Gets the value of the linkFunction property.
    `java.lang.Double` | `getLinkParameter()` Gets the value of the linkParameter property.
    `java.lang.Double` | `getModelDF()` Gets the value of the modelDF property.
    `java.lang.String` | `getModelName()` Gets the value of the modelName property.
    `java.lang.String` | `getModelType()` Gets the value of the modelType property.
    `java.lang.Double` | `getOffsetValue()` Gets the value of the offsetValue property.
    `java.lang.String` | `getOffsetVariable()` Gets the value of the offsetVariable property.
    `java.lang.String` | `getStartTimeVariable()` Gets the value of the startTimeVariable property.
    `java.lang.String` | `getStatusVariable()` Gets the value of the statusVariable property.
    `java.lang.String` | `getSubjectIDVariable()` Gets the value of the subjectIDVariable property.
    `java.lang.String` | `getTargetReferenceCategory()` Gets the value of the targetReferenceCategory property.
    `java.lang.String` | `getTargetVariableName()` Gets the value of the targetVariableName property.
    `java.math.BigInteger` | `getTrialsValue()` Gets the value of the trialsValue property.
    `java.lang.String` | `getTrialsVariable()` Gets the value of the trialsVariable property.
    `boolean` | `isIsScorable()` Gets the value of the isScorable property.
    `void` | `setAlgorithmName(java.lang.String value)` Sets the value of the algorithmName property.
    `void` | `setBaselineStrataVariable(java.lang.String value)` Sets the value of the baselineStrataVariable property.
    `void` | `setCumulativeLink(CUMULATIVELINKFUNCTION value)` Sets the value of the cumulativeLink property.
    `void` | `setDistParameter(java.lang.Double value)` Sets the value of the distParameter property.
    `void` | `setDistribution(java.lang.String value)` Sets the value of the distribution property.
    `void` | `setEndTimeVariable(java.lang.String value)` Sets the value of the endTimeVariable property.
    `void` | `setFunctionName(MININGFUNCTION value)` Sets the value of the functionName property.
    `void` | `setIsScorable(java.lang.Boolean value)` Sets the value of the isScorable property.
    `void` | `setLinkFunction(LINKFUNCTION value)` Sets the value of the linkFunction property.
    `void` | `setLinkParameter(java.lang.Double value)` Sets the value of the linkParameter property.
    `void` | `setModelDF(java.lang.Double value)` Sets the value of the modelDF property.
    `void` | `setModelName(java.lang.String value)` Sets the value of the modelName property.
    `void` | `setModelType(java.lang.String value)` Sets the value of the modelType property.
    `void` | `setOffsetValue(java.lang.Double value)` Sets the value of the offsetValue property.
    `void` | `setOffsetVariable(java.lang.String value)` Sets the value of the offsetVariable property.
    `void` | `setStartTimeVariable(java.lang.String value)` Sets the value of the startTimeVariable property.
    `void` | `setStatusVariable(java.lang.String value)` Sets the value of the statusVariable property.
    `void` | `setSubjectIDVariable(java.lang.String value)` Sets the value of the subjectIDVariable property.
    `void` | `setTargetReferenceCategory(java.lang.String value)` Sets the value of the targetReferenceCategory property.
    `void` | `setTargetVariableName(java.lang.String value)` Sets the value of the targetVariableName property.
    `void` | `setTrialsValue(java.math.BigInteger value)` Sets the value of the trialsValue property.
    `void` | `setTrialsVariable(java.lang.String value)` Sets the value of the trialsVariable property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralRegressionModel

          public GeneralRegressionModel()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.lang.Object> getContent()

      Gets the rest of the content model.

      You are getting this "catch-all" property because of the following reason: The field name "Extension" is used by two different parts of a schema. See: line 2515 of file:/home/david/workspace/weka/pmml-4-1.xsd line 2499 of file:/home/david/workspace/weka/pmml-4-1.xsd

      To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `ModelExplanation` `EventValues` `Output` `LocalTransformations` `PPMatrix` `Targets` `ParameterList` `ModelVerification` `Extension` `ModelStats` `CovariateList` `BaseCumHazardTables` `PCovMatrix` `FactorList` `MiningSchema` `ParamMatrix`

    - #### addContent

          public void addContent(java.lang.Object object)

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName()

      Gets the value of the algorithmName property.
      Returns:
        possible object is `String`

    - #### setAlgorithmName

          public void setAlgorithmName(java.lang.String value)

      Sets the value of the algorithmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBaselineStrataVariable

          public java.lang.String getBaselineStrataVariable()

      Gets the value of the baselineStrataVariable property.
      Returns:
        possible object is `String`

    - #### setBaselineStrataVariable

          public void setBaselineStrataVariable(java.lang.String value)

      Sets the value of the baselineStrataVariable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCumulativeLink

          public CUMULATIVELINKFUNCTION getCumulativeLink()

      Gets the value of the cumulativeLink property.
      Returns:
        possible object is `CUMULATIVELINKFUNCTION`

    - #### setCumulativeLink

          public void setCumulativeLink(CUMULATIVELINKFUNCTION value)

      Sets the value of the cumulativeLink property.
      Parameters:
        `value` - allowed object is `CUMULATIVELINKFUNCTION`

    - #### getDistParameter

          public java.lang.Double getDistParameter()

      Gets the value of the distParameter property.
      Returns:
        possible object is `Double`

    - #### setDistParameter

          public void setDistParameter(java.lang.Double value)

      Sets the value of the distParameter property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getDistribution

          public java.lang.String getDistribution()

      Gets the value of the distribution property.
      Returns:
        possible object is `String`

    - #### setDistribution

          public void setDistribution(java.lang.String value)

      Sets the value of the distribution property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndTimeVariable

          public java.lang.String getEndTimeVariable()

      Gets the value of the endTimeVariable property.
      Returns:
        possible object is `String`

    - #### setEndTimeVariable

          public void setEndTimeVariable(java.lang.String value)

      Sets the value of the endTimeVariable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFunctionName

          public MININGFUNCTION getFunctionName()

      Gets the value of the functionName property.
      Returns:
        possible object is `MININGFUNCTION`

    - #### setFunctionName

          public void setFunctionName(MININGFUNCTION value)

      Sets the value of the functionName property.
      Parameters:
        `value` - allowed object is `MININGFUNCTION`

    - #### isIsScorable

          public boolean isIsScorable()

      Gets the value of the isScorable property.
      Returns:
        possible object is `Boolean`

    - #### setIsScorable

          public void setIsScorable(java.lang.Boolean value)

      Sets the value of the isScorable property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getLinkFunction

          public LINKFUNCTION getLinkFunction()

      Gets the value of the linkFunction property.
      Returns:
        possible object is `LINKFUNCTION`

    - #### setLinkFunction

          public void setLinkFunction(LINKFUNCTION value)

      Sets the value of the linkFunction property.
      Parameters:
        `value` - allowed object is `LINKFUNCTION`

    - #### getLinkParameter

          public java.lang.Double getLinkParameter()

      Gets the value of the linkParameter property.
      Returns:
        possible object is `Double`

    - #### setLinkParameter

          public void setLinkParameter(java.lang.Double value)

      Sets the value of the linkParameter property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getModelDF

          public java.lang.Double getModelDF()

      Gets the value of the modelDF property.
      Returns:
        possible object is `Double`

    - #### setModelDF

          public void setModelDF(java.lang.Double value)

      Sets the value of the modelDF property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getModelName

          public java.lang.String getModelName()

      Gets the value of the modelName property.
      Returns:
        possible object is `String`

    - #### setModelName

          public void setModelName(java.lang.String value)

      Sets the value of the modelName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getModelType

          public java.lang.String getModelType()

      Gets the value of the modelType property.
      Returns:
        possible object is `String`

    - #### setModelType

          public void setModelType(java.lang.String value)

      Sets the value of the modelType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOffsetValue

          public java.lang.Double getOffsetValue()

      Gets the value of the offsetValue property.
      Returns:
        possible object is `Double`

    - #### setOffsetValue

          public void setOffsetValue(java.lang.Double value)

      Sets the value of the offsetValue property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getOffsetVariable

          public java.lang.String getOffsetVariable()

      Gets the value of the offsetVariable property.
      Returns:
        possible object is `String`

    - #### setOffsetVariable

          public void setOffsetVariable(java.lang.String value)

      Sets the value of the offsetVariable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartTimeVariable

          public java.lang.String getStartTimeVariable()

      Gets the value of the startTimeVariable property.
      Returns:
        possible object is `String`

    - #### setStartTimeVariable

          public void setStartTimeVariable(java.lang.String value)

      Sets the value of the startTimeVariable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatusVariable

          public java.lang.String getStatusVariable()

      Gets the value of the statusVariable property.
      Returns:
        possible object is `String`

    - #### setStatusVariable

          public void setStatusVariable(java.lang.String value)

      Sets the value of the statusVariable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSubjectIDVariable

          public java.lang.String getSubjectIDVariable()

      Gets the value of the subjectIDVariable property.
      Returns:
        possible object is `String`

    - #### setSubjectIDVariable

          public void setSubjectIDVariable(java.lang.String value)

      Sets the value of the subjectIDVariable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTargetReferenceCategory

          public java.lang.String getTargetReferenceCategory()

      Gets the value of the targetReferenceCategory property.
      Returns:
        possible object is `String`

    - #### setTargetReferenceCategory

          public void setTargetReferenceCategory(java.lang.String value)

      Sets the value of the targetReferenceCategory property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTargetVariableName

          public java.lang.String getTargetVariableName()

      Gets the value of the targetVariableName property.
      Returns:
        possible object is `String`

    - #### setTargetVariableName

          public void setTargetVariableName(java.lang.String value)

      Sets the value of the targetVariableName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTrialsValue

          public java.math.BigInteger getTrialsValue()

      Gets the value of the trialsValue property.
      Returns:
        possible object is `BigInteger`

    - #### setTrialsValue

          public void setTrialsValue(java.math.BigInteger value)

      Sets the value of the trialsValue property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getTrialsVariable

          public java.lang.String getTrialsVariable()

      Gets the value of the trialsVariable property.
      Returns:
        possible object is `String`

    - #### setTrialsVariable

          public void setTrialsVariable(java.lang.String value)

      Sets the value of the trialsVariable property.
      Parameters:
        `value` - allowed object is `String`